<!--2018-11-21--><!--2010-11-16: ym affichage du code du prelevement errone pour le test E4.17--><!--2011-09-26 changement des adresses de fichier de référentiel suite changement serveur --><!--2011-10-06 correction de détection de l'erreur E4.41--><!--2017-01-20 désactivation de la règle E3.2--><!--2017-08-08 ajout de la règle E4.23--><!--2017-09-08 mise à jour de la règle E4.23 --><!--2018-01-05 mise à jour de la règle E4.23 --><!--2018-03-16 déactivation de la règle E4.17 --><!--2018-11-05 Ajout de règles métiers en rapport avec le programme RSDE des stations de prélèvement de type STEU -->
<axsl:stylesheet xmlns:xx="http://xml.sandre.eaufrance.fr/scenario/labo_dest/1" xmlns:xy="http://xml.sandre.eaufrance.fr/referentielsisesandre" xmlns:sa_ref="http://xml.sandre.eaufrance.fr/scenario/referentiel/2" xmlns:fn="http://www.w3.org/2006/xpath-functions" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:axsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <axsl:output method="text" omit-xml-declaration="no" standalone="yes" indent="yes"/>
	<!--<axsl:variable name="chemin">http://195.220.97.105:8080/exist/xmldb/db/sandre/Referentiels/old_referentiel.xml</axsl:variable>-->
    <axsl:variable name="cheminPAR">PAR.xml</axsl:variable>
    <axsl:variable name="cheminSUP">SUP.xml</axsl:variable>
    <axsl:variable name="cheminReferentielSISESANDRE">http://xml.sandre.eaufrance.fr/exist/sandre/Referentiels/REFENTIELSISESANDRE11052009.xml</axsl:variable>
    <axsl:variable name="DateMAJReferentielSISESANDRE">document('http://xml.sandre.eaufrance.fr/exist/sandre/Referentiels/REFENTIELSISESANDRE11052009.xml')//xy:DateMAJReferentielSISESANDRE/text()</axsl:variable>
    <axsl:template match="*|@*" mode="schematron-get-full-path">
        <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
        <axsl:text>/</axsl:text>
        <axsl:if test="count(. | ../@*) = count(../@*)">@</axsl:if>
        <xsl:value-of select="name()"/>
        <axsl:text>[</axsl:text>
        <xsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])"/>
        <axsl:text>]</axsl:text>
    </axsl:template>
    <axsl:template match="/">
        <axsl:apply-templates select="/" mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:Demande//*[name()='CdIntervenant']" priority="4000" mode="M1">
        <axsl:choose>
            <axsl:when test="//xx:LABO_DEST/xx:Intervenant/xx:CdIntervenant/text()=current()"/>
            <axsl:otherwise>E4.2/Tous les intervenants mis en jeu au sein d'un fichier DOIVENT être déclarés en amont du fichier. L'intervenant dont le code est '<xsl:value-of select="text()"/>' n'est pas déclaré.#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:StationPrelevement" priority="4000" mode="M1">
        <axsl:choose>
            <axsl:when test="(not(./xx:CoordXStationPrelevement) and not(./xx:CoordYStationPrelevement) and not(./xx:ProjectStationPrelevement))or ((./xx:CoordXStationPrelevement) and (./xx:CoordYStationPrelevement) and (./xx:ProjectStationPrelevement)) "/>
            <axsl:otherwise>E4.7/Toute coordonnée géographique mentionnée pour une station de prélevement 
DOIT être accompagnée du type de projection géographique. Les coordonnées géographiques de la station '<xsl:value-of select="./xx:CdStationPrelevement/text()"/>' (<xsl:value-of select="./xx:LbStationPrelevement/text()"/>) sont incomplètes.#</axsl:otherwise>
        </axsl:choose>
        <axsl:choose>
            <axsl:when test="(not(./xx:AltitudeStationPrelevement) and not(./xx:ProjectAltiStationPrelevement)) or ((./xx:AltitudeStationPrelevement) and (./xx:ProjectAltiStationPrelevement)) "/>
            <axsl:otherwise>E4.8/Toute coordonnée altimetrique mentionnée pour une station  de prélèvement 
DOIT être accompagnée du type de projection altimétrique. Les coordonnées altimétriques de la station '<xsl:value-of select="./xx:CdStationPrelevement/text()"/>' (<xsl:value-of select="./xx:LbStationPrelevement/text()"/>) sont incomplètes.#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:StationPrelevement/xx:LocalPrelevement" priority="4000" mode="M1">
        <axsl:choose>
            <axsl:when test="(not(./xx:CoordXLocalPrelevement) and not(./xx:CoordYLocalPrelevement) and not(./xx:ProjLocalPrelevement))or ((./xx:CoordXLocalPrelevement) and (./xx:CoordYLocalPrelevement) and (./xx:ProjLocalPrelevement)) "/>
            <axsl:otherwise>E4.7/Toute coordonnée géographique mentionnée pour une localisation de prélevement 
DOIT être accompagnée du type de projection géographique. Les coordonnées géographiques de la localisation '<xsl:value-of select="./xx:CdLocalPrelevement/text()"/>' (<xsl:value-of select="./xx:LbLocalPrelevement/text()"/>) sont incomplètes.#</axsl:otherwise>
        </axsl:choose>
        <axsl:choose>
            <axsl:when test="(not(./xx:ProjAltiLocalPrelevement) and not(./xx:AltMinLocalPrelevement) and not(./xx:AltMaxLocalPrelevement)) or ((./xx:ProjAltiLocalPrelevement) and (./xx:AltMinLocalPrelevement) and (./xx:AltMaxLocalPrelevement)) "/>
            <axsl:otherwise>E4.8/Toute coordonnée altimétrique mentionnée pour une localisation  de prélevement 
DOIT être accompagnée du type de projection altimétrique. Les coordonnées altimétriques de la localisation '<xsl:value-of select="./xx:CdLocalPrelevement/text()"/>' (<xsl:value-of select="./xx:LbLocalPrelevement/text()"/>) sont incomplètes.#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:Demande/xx:DateDebutApplicationDemande" priority="4000" mode="M1">
        <axsl:variable name="AnneeDebut">
            <xsl:value-of select="substring(text(),1,4)"/>
        </axsl:variable>
        <axsl:variable name="MoisDebut">
            <xsl:value-of select="substring(text(),6,2)"/>
        </axsl:variable>
        <axsl:variable name="JourDebut">
            <xsl:value-of select="substring(text(),9,2)"/>
        </axsl:variable>
        <xsl:if test="//xx:LABO_DEST/xx:Demande/xx:DateFinApplicationDemande">
            <axsl:variable name="AnneeFin">
                <xsl:value-of select="substring(//xx:LABO_DEST/xx:Demande/xx:DateFinApplicationDemande,1,4)"/>
            </axsl:variable>
            <axsl:variable name="MoisFin">
                <xsl:value-of select="substring(//xx:LABO_DEST/xx:Demande/xx:DateFinApplicationDemande,6,2)"/>
            </axsl:variable>
            <axsl:variable name="JourFin">
                <xsl:value-of select="substring(//xx:LABO_DEST/xx:Demande/xx:DateFinApplicationDemande,9,2)"/>
            </axsl:variable>
            <axsl:choose>
                <axsl:when test="($AnneeFin&gt;$AnneeDebut) or (($AnneeFin&gt;=$AnneeDebut) and ($MoisFin&gt;$MoisDebut)) or (($AnneeFin&gt;=$AnneeDebut) and ($MoisFin&gt;=$MoisDebut) and ($JourFin&gt;$JourDebut))"/>
                <axsl:otherwise>E4.11/La date de début d'application de la demande DOIT être inferieure ou égale à la demande de fin d'application <xsl:value-of select="$AnneeDebut"/>
                    <xsl:value-of select="$MoisDebut"/>
                    <xsl:value-of select="$JourDebut"/>.#</axsl:otherwise>
            </axsl:choose>
        </xsl:if>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:Demande/xx:TypeDemande[text()='3']" priority="4000" mode="M1">
        <axsl:choose>
            <axsl:when test="(//xx:LABO_DEST/xx:Demande/xx:Prestataire/xx:CdIntervenant[text()=//xx:LABO_DEST/xx:Demande/xx:Prelevement/xx:Preleveur/xx:CdIntervenant]) and (//xx:LABO_DEST/xx:Demande/xx:Prestataire/xx:CdIntervenant[text()=//xx:LABO_DEST/xx:Demande/xx:Prelevement/xx:Echantillon/xx:Laboratoire/xx:CdIntervenant])"/>
            <axsl:otherwise>E4.12/Au sein d'une demande mixte, le prestataire DOIT au moins être mentionné en tant que préleveur d'un prélevement 
et laboratoire d'un échantillon.#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:Demande/xx:TypeDemande[text()='1']" priority="4000" mode="M1">
        <axsl:choose>
            <axsl:when test="//xx:LABO_DEST/xx:Demande/xx:Prestataire/xx:CdIntervenant[text()=//xx:LABO_DEST/xx:Demande/xx:Prelevement/xx:Preleveur/xx:CdIntervenant]"/>
            <axsl:otherwise>E4.13/Au sein d'une demande de prélèvements, le prestataire DOIT au moins être mentionné en tant que préleveur d'un prélevement.#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:Demande/xx:TypeDemande[text()='2']" priority="4000" mode="M1">
        <axsl:choose>
            <axsl:when test="//xx:LABO_DEST/xx:Demande/xx:Prestataire/xx:CdIntervenant[text()=//xx:LABO_DEST/xx:Demande/xx:Prelevement/xx:Echantillon/xx:Laboratoire/xx:CdIntervenant]"/>
            <axsl:otherwise>E4.14/Au sein d'une demande d'analyses, le prestataire DOIT au moins être mentionné en tant que laboratoire d'un échantillon.#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:Demande/xx:Prelevement/xx:MesureEnvironnementale/xx:Parametre/xx:CdParametre" priority="4000" mode="M1">
        <axsl:choose>
            <axsl:when test="./text()=document($cheminPAR)//sa_ref:Referentiel/sa_ref:Parametre[./sa_ref:ParametreEnvironnemental]/sa_ref:CdParametre"/>
            <axsl:otherwise>E4.15/Tout paramètre faisant l'objet d'une mesure environnementale DOIT etre référencé par le SANDRE comme étant un parametre de nature environnementale.
Le parametre '<xsl:value-of select="./text()"/>' n'est pas de nature environnementale.#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:Demande/xx:Prelevement/xx:CdPrelevement" priority="4000" mode="M1">
        <axsl:choose>
            <axsl:when test="./@schemeAgencyID=//xx:LABO_DEST/xx:Intervenant/xx:CdIntervenant/text()"/>
            <axsl:otherwise>E4.16/L'intervenant dont le code est '<xsl:value-of select="./@schemeAgencyID"/>', ayant codifié le prelevement <xsl:value-of select="text()"/> DOIT etre declare en amont du fichier d'echange.#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <!--<axsl:template match="//xx:LABO_DEST/xx:Demande/xx:Prelevement[./xx:StationPrelevement/xx:CdStationPrelevement/@schemeAgencyID='2']/xx:Echantillon/xx:Analyse" priority="4000" mode="M1">
        <axsl:variable name="combinaison">
            <axsl:value-of select="concat(./xx:Parametre/xx:CdParametre/text(),'-',./xx:FractionAnalysee/xx:CdFractionAnalysee/text(),'-',./xx:Methode/xx:CdMethode/text(),'-',./xx:UniteReference/xx:CdUniteReference/text())"/>
        </axsl:variable>
        <axsl:choose>
            <axsl:when test="document($cheminReferentielSISESANDRE)//xy:Combinaison/text()=$combinaison"/>
            <axsl:otherwise>E3.2/Votre fichier a trait au domaine de l'alimentation en eau potable. Pour information, la combinaison suivante de codes Sandre  '<axsl:value-of select="$combinaison"/>' (Paramètre-Fraction-Méthode-Unité) n'est pas reconnue au regard du tableau de correspondance existant entre les paramètres Sandre et ceux de SISE-EAUX, la date de dernière mise à jour de ce tableau étant le '<axsl:value-of select="document($cheminReferentielSISESANDRE)//xy:DateMAJReferentielSISESANDRE/text()"/>'.#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>-->
    <!--<axsl:template match="//xx:LABO_DEST/xx:Demande/xx:Prelevement/xx:Echantillon[./xx:Laboratoire/xx:CdIntervenant/text()!=preceding-sibling::xx:Preleveur/xx:CdIntervenant/text()]" priority="4000" mode="M1">
        <axsl:choose>
            <axsl:when test="count(./xx:Analyse/xx:InsituAna[./text()='1'])='0'"/>
            <axsl:otherwise>E4.17/Lorsqu'un prélèvement donne lieu a des mesures in situ et des analyses a réaliser en laboratoire, si le préleveur est différent du laboratoire, alors les mesures in situ DOIVENT etre 
regroupées dans un échantillon distinct, dont le laboratoire destinataire correspond au préleveur. Le code du prélèvement erroné est '<axsl:value-of select="ancestor::xx:Prelevement/CdPrelevement/text()"/>'.#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>-->
    <axsl:key name="Echantillons" match="//xx:LABO_DEST/xx:Demande/xx:Prelevement" use="xx:Echantillon/xx:Laboratoire/xx:CdIntervenant/text()"/>
    <axsl:key name="Prelevements" match="//xx:LABO_DEST/xx:Demande/xx:Prelevement" use="xx:CdPrelevement/text()"/>
    <axsl:template match="//xx:LABO_DEST/xx:Demande/xx:Prelevement" priority="4000" mode="M1">
        <axsl:choose>
            <axsl:when test="count(./xx:Echantillon[./xx:Laboratoire/xx:CdIntervenant/text()=preceding-sibling::xx:Echantillon/xx:Laboratoire/xx:CdIntervenant]/xx:Laboratoire/xx:CdIntervenant/text())=0"/>
            <axsl:otherwise>E4.19/Pour un prélèvement donné, il ne DOIT pas y avoir plus d'un échantillon adressé au meme laboratoire. Le prélevement erroné est celui réalisé sur la station '
			<xsl:value-of select="./xx:StationPrelevement/xx:CdStationPrelevement"/>' en date du '<xsl:value-of select="./xx:DatePrel"/>', et portant sur le support '<xsl:value-of select="./xx:Support/xx:CdSupport"/>' (<xsl:value-of select="document($cheminSUP)//sa_ref:Referentiel/sa_ref:Support[./sa_ref:CdSupport/text()=current()/xx:Support/xx:CdSupport]/sa_ref:LbSupport"/>).#</axsl:otherwise>
        </axsl:choose>
        
       
        
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    
    
<axsl:template match="//xx:LABO_DEST/xx:Demande/xx:Prelevement[./xx:FinalitePrel='R' and ./xx:StationPrelevement/xx:CdStationPrelevement/@schemeAgencyID='5']" priority="4000" mode="M1">
    <axsl:choose>
            <axsl:when test="count(./xx:DureePrel)!=0 and ./xx:DureePrel!=''"/>
            <axsl:otherwise>E4.101/Dans le cadre du programme RSDE relatif à la qualité des eaux usées de station d'épuration, la durée du prélèvement est obligatoire. Le prélèvement erroné est celui réalisé sur la station '
			<xsl:value-of select="./xx:StationPrelevement/xx:CdStationPrelevement"/>' en date du '<xsl:value-of select="./xx:DatePrel"/>', et portant sur le support '<xsl:value-of select="./xx:Support/xx:CdSupport"/>'.#</axsl:otherwise>
        </axsl:choose>
                        <axsl:choose>
                            <axsl:when test="count(./xx:ConformitePrel)!=0 and ./xx:ConformitePrel!=''"/>
            <axsl:otherwise>E4.102/Dans le cadre du programme RSDE relatif à la qualité des eaux usées de station d'épuration, la conformité du prélèvement est obligatoire. Le prélèvement erroné est celui réalisé sur la station '
                <xsl:value-of select="./xx:StationPrelevement/xx:CdStationPrelevement"/>' en date du '<xsl:value-of select="./xx:DatePrel"/>', et portant sur le support '<xsl:value-of select="./xx:Support/xx:CdSupport"/>'.#</axsl:otherwise>
        </axsl:choose>
                                <axsl:choose>
                                    <axsl:when test="count(./xx:AccredPrel)!=0 and ./xx:AccredPrel!=''"/>
            <axsl:otherwise>E4.103/Dans le cadre du programme RSDE relatif à la qualité des eaux usées de station d'épuration, l'accréditation du prélèvement est obligatoire. Le prélèvement erroné est celui réalisé sur la station '
                <xsl:value-of select="./xx:StationPrelevement/xx:CdStationPrelevement"/>' en date du '<xsl:value-of select="./xx:DatePrel"/>', et portant sur le support '<xsl:value-of select="./xx:Support/xx:CdSupport"/>'.#</axsl:otherwise>
        </axsl:choose>
                                        <axsl:choose>
                                            <axsl:when test="count(./xx:Echantillon/xx:DateReceptionEchant)!=0 and ./xx:Echantillon/xx:DateReceptionEchant!=''"/>
            <axsl:otherwise>E4.104/Dans le cadre du programme RSDE relatif à la qualité des eaux usées de station d'épuration, la date de réception de l'échantillon est obligatoire. Le prélèvement erroné est celui réalisé sur la station '
                <xsl:value-of select="./xx:StationPrelevement/xx:CdStationPrelevement"/>' en date du '<xsl:value-of select="./xx:DatePrel"/>', et portant sur le support '<xsl:value-of select="./xx:Support/xx:CdSupport"/>'.#</axsl:otherwise>
        </axsl:choose>
        
                                        <axsl:choose>
                                            <axsl:when test="count(./xx:Echantillon/xx:HeureReceptionEchant)!=0 and ./xx:Echantillon/xx:HeureReceptionEchant!=''"/>
            <axsl:otherwise>E4.105/Dans le cadre du programme RSDE relatif à la qualité des eaux usées de station d'épuration, l'heure de réception de l'échantillon est obligatoire. Le prélèvement erroné est celui réalisé sur la station '
                <xsl:value-of select="./xx:StationPrelevement/xx:CdStationPrelevement"/>' en date du '<xsl:value-of select="./xx:DatePrel"/>', et portant sur le support '<xsl:value-of select="./xx:Support/xx:CdSupport"/>'.#</axsl:otherwise>
        </axsl:choose>
        
                                                <axsl:choose>
                                                    <axsl:when test="count(./xx:Echantillon/xx:Analyse/xx:DateAna)!=0 and ./xx:Echantillon//xx:Analyse/xx:DateAna!=''"/>
            <axsl:otherwise>E4.106/Dans le cadre du programme RSDE relatif à la qualité des eaux usées de station d'épuration, la date des analyses est obligatoire. Le prélèvement erroné est celui réalisé sur la station '
                <xsl:value-of select="./xx:StationPrelevement/xx:CdStationPrelevement"/>' en date du '<xsl:value-of select="./xx:DatePrel"/>', et portant sur le support '<xsl:value-of select="./xx:Support/xx:CdSupport"/>'.#</axsl:otherwise>
        </axsl:choose>    
                                                        <axsl:choose>
                                                            <axsl:when test="count(./xx:Echantillon/xx:Analyse/xx:LQAna)!=0 and ./xx:Echantillon//xx:Analyse/xx:LQAna!=''"/>
            <axsl:otherwise>E4.107/Dans le cadre du programme RSDE relatif à la qualité des eaux usées de station d'épuration, la limite de quantification des analyses est obligatoire. Le prélèvement erroné est celui réalisé sur la station '
                <xsl:value-of select="./xx:StationPrelevement/xx:CdStationPrelevement"/>' en date du '<xsl:value-of select="./xx:DatePrel"/>', et portant sur le support '<xsl:value-of select="./xx:Support/xx:CdSupport"/>'.#</axsl:otherwise>
        </axsl:choose>
        
                                                        <axsl:choose>
                                                            <axsl:when test="count(./xx:Echantillon/xx:Analyse/xx:AccreAna)!=0 and ./xx:Echantillon//xx:Analyse/xx:AccreAna!=''"/>
            <axsl:otherwise>E4.108/Dans le cadre du programme RSDE relatif à la qualité des eaux usées de station d'épuration, l'accréditation des analyses est obligatoire. Le prélèvement erroné est celui réalisé sur la station '
                <xsl:value-of select="./xx:StationPrelevement/xx:CdStationPrelevement"/>' en date du '<xsl:value-of select="./xx:DatePrel"/>', et portant sur le support '<xsl:value-of select="./xx:Support/xx:CdSupport"/>'.#</axsl:otherwise>
        </axsl:choose>        
        
                                                                <axsl:choose>
                                                                    <axsl:when test="count(./xx:Echantillon/xx:Analyse/xx:IncertAna)!=0 and ./xx:Echantillon/xx:Analyse/xx:IncertAna!=''"/>
            <axsl:otherwise>E4.109/Dans le cadre du programme RSDE relatif à la qualité des eaux usées de station d'épuration, l'incertitude des résultats d'analyses est obligatoire. Le prélèvement erroné est celui réalisé sur la station '
                <xsl:value-of select="./xx:StationPrelevement/xx:CdStationPrelevement"/>' en date du '<xsl:value-of select="ancestor::xx:Prelevement/xx:DatePrel"/>', et portant sur le support '<xsl:value-of select="./xx:Support/xx:CdSupport"/>'.#</axsl:otherwise>
        </axsl:choose> 
        
        
        <axsl:apply-templates mode="M1"/>
    </axsl:template>    
    
    
    
    
    
    <axsl:template match="//xx:LABO_DEST/xx:Demande/xx:Prelevement/xx:Echantillon/xx:Analyse[string-length(./xx:RsAna/text())=0]" priority="4000" mode="M1">
        <axsl:choose>
            <axsl:when test="(./xx:RqAna/text()='5') or (./xx:RqAna/text()='0')"/>
            <axsl:otherwise>E4.30/Le résultat d'analyse du paramètre '<xsl:value-of select="./xx:Parametre/xx:CdParametre"/>' ne peut pas etre nul, à condition d'être accompagné d'un code remarque égal à
0 (pour analyse non réalisée) ou 5 (pour incomptable).#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:Demande/xx:Prelevement/xx:Echantillon/xx:Analyse[./xx:RqAna/text()='4']" priority="4000" mode="M1">
        <axsl:choose>
            <axsl:when test="(document($cheminPAR)//sa_ref:Referentiel/sa_ref:Parametre[./sa_ref:CdParametre/text()=current()/xx:Parametre/xx:CdParametre/text()]/sa_ref:ParametreMicrobiologique) and (current()/xx:UniteReference/xx:CdUniteReference='X') and((current()/xx:RsAna/text()='1') or (current()/xx:RsAna/text()='2'))"/>
            <axsl:otherwise>E4.31/Erreur au niveau du résultat du paramètre '<xsl:value-of select="./xx:Parametre/xx:CdParametre"/>' ('<xsl:value-of select="document($cheminPAR)//sa_ref:Referentiel/sa_ref:Parametre[./sa_ref:CdParametre/text()=current()/xx:Parametre/xx:CdParametre/text()]/sa_ref:NomParametre"/>'). Le code remarque 4 est réservé aux résultats de paramètre microbiologique qualitatif de type Présence ou Absence.
 Le résultat prend alors deux valeurs possibles '1' (Absence) ou '2' (présence). Le code de l'unité de mesure associé au résultat du paramètre DOIT prendre pour valeur 'X' (sans objet) 
.#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:Demande/xx:Prelevement/xx:Echantillon/xx:Analyse[./xx:RqAna/text()=0]" priority="4000" mode="M1">
        <axsl:choose>
            <axsl:when test="string-length(./xx:RsAna/text())=0"/>
            <axsl:otherwise>E4.32/Erreur au niveau de l'analyse portant sur le paramètre '<xsl:value-of select="./xx:Parametre/xx:CdParametre"/>'. Celle-ci n'a pas été réalisée (code remarque associé égal à 0), et le résultat d'analyse est pourtant différent d'une valeur nulle.#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:Demande/xx:Prelevement/xx:Echantillon/xx:Analyse[./xx:RqAna/text()=10]" priority="4001" mode="M1">
        <axsl:choose>
            <axsl:when test="(./xx:LQAna and ./xx:RsAna/text()=./xx:LQAna/text()) or not(./xx:LQAna)"/>
            <axsl:otherwise>A4.23/Avertissement au niveau de l'analyse portant sur le paramètre '<xsl:value-of select="./xx:Parametre/xx:CdParametre"/>'. Le résultat d'analyse DOIT être égal à la limite de quantification lorsque le code remarque est égal à 10. Or, le résultat est égal à <xsl:value-of select="./xx:RsAna/text()"/> et la limite de quantification est égale à <xsl:value-of select="./xx:LQAna/text()"/>.#
            </axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:Demande/xx:Prelevement/xx:Echantillon/xx:Analyse[./xx:RqAna/text()=5]" priority="3" mode="M1">
        <axsl:choose>
            <axsl:when test="string-length(./xx:RsAna/text())=0"/>
            <axsl:otherwise>E4.33/Erreur au niveau de l'analyse portant sur le paramètre '<xsl:value-of select="./xx:Parametre/xx:CdParametre"/>'. Le résultat est incomptable (code remarque associé égal à 5), et celui-ci ('<xsl:value-of select="./xx:RsAna"/>') est pourtant différent d'une valeur nulle.#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:Demande/xx:Prelevement/xx:Echantillon/xx:Analyse[./xx:RqAna/text()=6]" priority="4000" mode="M1">
        <axsl:choose>
            <axsl:when test="string-length(./xx:RsAna/text())=0"/>
            <axsl:otherwise>E4.35/Erreur au niveau de l'analyse portant sur le paramètre '<xsl:value-of select="./xx:Parametre/xx:CdParametre"/>'. Les taxons ne sont pas individualisables (code remarque associé égal à 6), et le résultat d'analyse ('<xsl:value-of select="./xx:RsAna"/>') est pourtant différent d'une valeur nulle. Il est recommandé d'utiliser le code remarque 8 (dénombrement &gt;résultat).#</axsl:otherwise>
        </axsl:choose>
        <axsl:choose>
            <axsl:when test="document($cheminPAR)//sa_ref:Referentiel/sa_ref:Parametre[./sa_ref:CdParametre/text()=current()/xx:Parametre/xx:CdParametre/text()][./sa_ref:ParametreMicrobiologique]"/>
            <axsl:otherwise>E4.36/Erreur au niveau du résultat du paramètre '<xsl:value-of select="./xx:Parametre/xx:CdParametre"/>' ('<xsl:value-of select="document($cheminPAR)//sa_ref:Referentiel/sa_ref:Parametre[./sa_ref:CdParametre/text()=current()/xx:Parametre/xx:CdParametre/text()]/sa_ref:NomParametre"/>'). Le code remarque 6 (taxons non individualisables) est réservé aux résultats de paramètre hydrobiologique.
 .#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:Demande/xx:Prelevement/xx:Echantillon/xx:Analyse[(./xx:RqAna/text()='8') or (./xx:RqAna/text()='9')]" priority="1" mode="M1">
        <axsl:choose>
            <axsl:when test="document($cheminPAR)//sa_ref:Referentiel/sa_ref:Parametre[./sa_ref:CdParametre/text()=current()/xx:Parametre/xx:CdParametre/text()][(./sa_ref:ParametreMicrobiologique) or (./sa_ref:ParametreHydrobiologique)]"/>
            <axsl:otherwise>E4.37/Erreur au niveau du résultat du paramètre '<xsl:value-of select="./xx:Parametre/xx:CdParametre"/>' ('<xsl:value-of select="document($cheminPAR)//sa_ref:Referentiel/sa_ref:Parametre[./sa_ref:CdParametre/text()=current()/xx:Parametre/xx:CdParametre/text()]/sa_ref:NomParametre"/>'). Les codes remarque 8 (Dénombrement&gt;valeur) et 9 (Dénombrement&lt;valeur) sont réservés au résultat de paramètre microbiologique ou hydrobiologique.
 .#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:Demande/xx:Prelevement/xx:Echantillon/xx:Analyse[(./xx:RqAna/text()='2') or (./xx:RqAna/text()='3') or (./xx:RqAna/text()='7') or (./xx:RqAna/text()='10')]" priority="4000" mode="M1">
        <axsl:choose>
            <axsl:when test="document($cheminPAR)//sa_ref:Referentiel/sa_ref:Parametre[./sa_ref:CdParametre/text()=current()/xx:Parametre/xx:CdParametre/text()][(./sa_ref:ParametreChimique) or (./sa_ref:ParametrePhysique) ]"/>
            <axsl:otherwise>E4.38/Erreur au niveau du résultat du paramètre '<xsl:value-of select="./xx:Parametre/xx:CdParametre"/>' ('<xsl:value-of select="document($cheminPAR)//sa_ref:Referentiel/sa_ref:Parametre[./sa_ref:CdParametre/text()=current()/xx:Parametre/xx:CdParametre/text()]/sa_ref:NomParametre"/>'). Les codes remarque '2' (&lt;seuil de détection), '3' (&lt;seuil de saturation), '7' (traces, LD&lt;resultat&lt;LQ) et '10' (&lt; seuil de quantification) sont réservés aux résultats de paramètre chimique.
 #</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:Demande/xx:Prelevement/xx:Echantillon/xx:Analyse" priority="2" mode="M1">
        <axsl:choose>
            <axsl:when test="not(document($cheminPAR)//sa_ref:Referentiel/sa_ref:Parametre[./sa_ref:CdParametre/text()=current()/xx:Parametre/xx:CdParametre/text()]/sa_ref:ValeursPossiblesParametre) or not(document($cheminPAR)//sa_ref:Referentiel/sa_ref:Parametre[./sa_ref:CdParametre/text()=current()/xx:Parametre/xx:CdParametre/text()])  or (document($cheminPAR)//sa_ref:Referentiel/sa_ref:Parametre[not(./sa_ref:ParametreMicrobiologique) and (./sa_ref:CdParametre/text()=current()/xx:Parametre/xx:CdParametre/text())]/sa_ref:ValeursPossiblesParametre/sa_ref:CdValeursPossiblesParametre/text()=current()/xx:RsAna/text()) or (document($cheminPAR)//sa_ref:Referentiel/sa_ref:Parametre[(./sa_ref:ParametreMicrobiologique) and (./sa_ref:CdParametre/text()=current()/xx:Parametre/xx:CdParametre/text())])"/>
            <axsl:otherwise>E4.39/Erreur au niveau du résultat d'analyse portant sur le paramètre '<xsl:value-of select="./xx:Parametre/xx:CdParametre"/>' ('<xsl:value-of select="document($cheminPAR)//sa_ref:Referentiel/sa_ref:Parametre[./sa_ref:CdParametre/text()=current()/xx:Parametre/xx:CdParametre/text()]/sa_ref:NomParametre"/>'). La valeur du résultat '<xsl:value-of select="./xx:RsAna"/>' est inconnue. Les codes de valeurs possibles pour le résultat d'une analyse portant sur le paramètre '<xsl:value-of select="./xx:Parametre/xx:CdParametre"/>' sont <axsl:for-each select="document($cheminPAR)//sa_ref:Referentiel/sa_ref:Parametre[./sa_ref:CdParametre/text()=current()/xx:Parametre/xx:CdParametre/text()]/sa_ref:ValeursPossiblesParametre">'<xsl:value-of select="./sa_ref:CdValeursPossiblesParametre/text()"/>' ('<xsl:value-of select="./sa_ref:LbValeursPossiblesParametre/text()"/>');</axsl:for-each>
.#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:Demande/xx:ContexteCodification[./text()='1']" priority="4000" mode="M1">
        <axsl:choose>
            <axsl:when test="count(//xx:LABO_DEST/xx:Demande/xx:Prelevement[./xx:CdPrelevement/text()=preceding-sibling::xx:Prelevement/xx:CdPrelevement/text()])=0"/>
			<!--<axsl:when test="count(key('Prelevements',./xx:CdPrelevement))='1'"/>-->
            <axsl:otherwise>E4.29/Plusieurs prélèvements ont le même code '<xsl:value-of select="//xx:LABO_DEST/xx:Demande/xx:Prelevement[./xx:CdPrelevement/text()=preceding-sibling::xx:Prelevement/xx:CdPrelevement/text()]/xx:CdPrelevement/text()"/>'. Le code d'un prélèvement DOIT être unique.#</axsl:otherwise>
        </axsl:choose>
        <axsl:choose>
            <axsl:when test="string-length(//xx:LABO_DEST/xx:Demande/xx:CdDemandeCommanditaire/text())&gt;0"/>
            <axsl:otherwise>E4.40/Erreur au niveau du code de la demande qui est absent. Dans le contexte d'échange relatif à un envoi de résultats avec demande de prestations reçue au préalable, la demande en elle-même et chaque prélèvement doivent avoir un identifiant, correspondant à ceux mentionnés dans la demande.#</axsl:otherwise>
        </axsl:choose>
        <axsl:choose>
            <axsl:when test="count(./xx:Prelevement[not(./xx:CdPrelevement) or not(./xx:NumeroOrdrePrelevement) or string-length(./xx:NumeroOrdrePrelevement/text())=0])=0"/>
            <axsl:otherwise>E4.41/ Erreur au niveau d'un identifiant de prélèvement qui est absent ou incomplet. Dans le contexte d'échange relatif à un envoi de résultats avec demande de prestations reçue au préalable, la demande en elle-même et chaque prélèvement doivent avoir un identifiant, correspondant à ceux mentionnés dans la demande. L'identifiant du prélèvement est composé de deux informations: un code et un numéro d'ordre.#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="//xx:LABO_DEST/xx:Demande/xx:ContexteCodification[text()='2']" priority="4000" mode="M1">
        <axsl:choose>
            <axsl:when test="not(//xx:CdDemandeCommanditaire)"/>
            <axsl:otherwise>E4.42/Erreur au niveau du code de la demande qui est anormalement présent. Dans le contexte d'échange relatif à un envoi de résultats sans demande de prestations reçue au préalable, la demande en elle-même et chaque prélèvement ne doivent avoir d'identifiants.#</axsl:otherwise>
        </axsl:choose>
        <axsl:choose>
            <axsl:when test="not(//xx:CdPrelevement) or not(//xx:NumeroOrdrePrelevement)"/>
            <axsl:otherwise>E4.43/Erreur au niveau d'un identifiant de prélèvement  '<xsl:value-of select="text()"/>' qui est anormalement présent. Dans le contexte d'échange relatif à un envoi de résultats sans demande de prestations reçue au préalable, la demande en elle-même et chaque prélèvement ne doivent pas avoir d'identifiants.#</axsl:otherwise>
        </axsl:choose>
        <axsl:apply-templates mode="M1"/>
    </axsl:template>
    <axsl:template match="text()" priority="-1" mode="M1"/>
    <axsl:template match="text()" priority="-1"/>
</axsl:stylesheet>